=== debian/changelog ===
free42-nologo (1.4.77-1) unstable; urgency=low

  * Initial release (Closes: #606358)

 -- Christian Stalp <chris@chrishell.de>  Wed, 14 Aug 2013 23:31:08 +0200
