## free42-nologo 2.5.25+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2013  Thomas Okken
+# Copyright (C) 2004-2021  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -15,12 +15,41 @@
 # along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
-CXXFLAGS := -MMD -Wall -Wno-parentheses -Wno-write-strings -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
-LDFLAGS = -L/usr/X11R6/lib
-LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+CFLAGS = -MMD \
+	 -Wall \
+	 -Wno-parentheses \
+	 -Wno-write-strings \
+	 -Wno-sign-compare \
+	 -Wno-narrowing \
+	 -Wno-constant-conversion \
+	 -Wno-sometimes-uninitialized \
+	 -Wno-format-truncation \
+	 -Wno-class-memaccess \
+	 -Wno-unknown-warning-option \
+	 -g \
+	 $(shell pkg-config --cflags gtk+-3.0) \
+	 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGTK_DISABLE_SINGLE_INCLUDES -DGSEAL_ENABLE \
+	 -DVERSION="\"$(shell cat VERSION)\"" \
+	 -DVERSION_PLATFORM="\"$(shell uname -s)\"" \
+	 -DDECIMAL_CALL_BY_REFERENCE=1 \
+	 -DDECIMAL_GLOBAL_ROUNDING=1 \
+	 -DDECIMAL_GLOBAL_ROUNDING_ACCESS_FUNCTIONS=1 \
+	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS=1 \
+	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS_ACCESS_FUNCTIONS=1
 
-ifeq "$(shell uname -s)" "Linux"
-LDFLAGS += -Wl,--hash-style=both
+CXXFLAGS = $(CFLAGS) \
+	 -fno-exceptions \
+	 -fno-rtti \
+	 -D_WCHAR_T_DEFINED
+
+LIBS = gcc111libbid.a $(shell pkg-config --libs gtk+-3.0)
+
+ifdef AUDIO_ALSA
+LIBS += -lpthread -ldl
+endif
+
+ifneq "$(findstring 6162,$(shell echo ab | od -x))" ""
+CFLAGS += -DF42_BIG_ENDIAN -DBID_BIG_ENDIAN
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
@@ -40,11 +69,15 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
+endif
+
+ifdef FREE42_FPTEST
+CFLAGS += -DFREE42_FPTEST
+SRCS += readtest.c readtest_lines.cc
+OBJS += readtest.o readtest_lines.o
 endif
 
 ifdef AUDIO_ALSA
@@ -52,30 +85,22 @@
 # the executable is defined in the corresponding *.la file, in the 'dlname'
 # property. I suppose it would be better to grab it from there at build time,
 # rather than hard-coding it into the Makefile like this, but as long as the
-# build environment doesn't change (still Fedora 6 at the time of writing),
-# this is fine.
+# build environment doesn't change (currently Ubuntu 12.04), this is fine.
 CXXFLAGS += -DAUDIO_ALSA -DALSALIB="\"libasound.so.2\""
 SRCS += audio_alsa.cc
 OBJS += audio_alsa.o
 endif
 
-ifdef OLPC
-CXXFLAGS += -DOLPC
-endif
-
-$(EXE): $(OBJS)
+$(EXE): $(OBJS) gcc111libbid.a
 	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
-ifdef OLPC
-	tar xvfz Free42.activity.tgz
-	cp $(EXE) Free42.activity/bin
-	zip -r Free42.xo Free42.activity
-	rm -rf Free42.activity
-endif
 
 $(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks
 
 .cc.o:
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
+
+readtest.o: readtest.c
+	$(CC) $(CFLAGS) -I IntelRDFPMathLib20U1/TESTS -D__intptr_t_defined -DLINUX -c -o $@ $<
 
 skin2cc: skin2cc.cc
 	$(CXX) -o skin2cc skin2cc.cc
@@ -89,12 +114,16 @@
 keymap.cc: keymap2cc keymap.txt
 	./keymap2cc
 
+gcc111libbid.a:
+	sh ./build-intel-lib.sh
+	ln -s IntelRDFPMathLib20U1/TESTS/readtest.c
+
 symlinks:
 	for fn in `cd ../common; /bin/ls`; do ln -s ../common/$$fn; done
 	touch symlinks
 
 clean: FORCE
-	rm -f `find . -type l` \
+	rm -f `find . -type l ! -name readtest.c` \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
 		*.o *.d *.i *.ii *.s symlinks core.*
@@ -104,8 +133,11 @@
 		free42bin free42bin.exe free42dec free42dec.exe \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
+		readtest_lines.cc \
+		gcc111libbid.a \
 		*.o *.d *.i *.ii *.s symlinks core.*
+	rm -rf IntelRDFPMathLib20U1
 
 FORCE:
 
--include $(SRCS:.cc=.d)
+-include $(OBJS:.o=.d)
