=== debian/changelog ===
free42-nologo (2.5.25+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Feb 2021 19:19:16 +0100

free42-nologo (2.5.24+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Jan 2021 12:34:31 +0100

free42-nologo (2.5.22+ds-1) unstable; urgency=medium

  [ Christian Stalp ]
  * New upstream release (Closes: #775601, #911464)
  * debian/patches:
    - delete patch fix-free42-makefile.patch, no longer applicable
    - delete patch hash-style-makefile.patch, no longer applicable
    - update patch gcc6 to new Makefile
    - adding new patch libbidgc to build package with intelrdfpmath

  * debian/control
    - changing Build-Depends libgtk2.0-dev to libgtk-3-dev (Closes: #967351)
    - adding libintelrdfpmath-dev to Build-Depends

  * debian/rules
    - adapting rules file to new icon names (icon.xpm to icon-48x48.xpm)

  [ Stephen Kitt ]
  * Add myself to Uploaders. (Closes: #959420.)
  * Use the secure homepage URL.
  * Switch to debhelper compatibility level 13.
  * Point to the Salsa repository.
  * Set “Rules-Requires-Root: no”.
  * Remove debian/patches/gcc6.patch which is no longer necessary.
  * Standards-Version 4.5.1, no further change required.
  * Enable support for ALSA audio. (Closes: #775598.)
  * Install the decimal variant. (Closes: #775599.)
  * Ensure build flags are applied.
  * Install desktop files instead of a menu entry.
  * Drop obsolete X11 build dependencies.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Dec 2020 14:31:19 +0100

free42-nologo (1.4.77-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use -std=gnu++98 to fix the build with gcc 6. (Closes: #811760)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:12:15 +0200

free42-nologo (1.4.77-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS on mips/mipsel due to --hash-style=both"
    Patch by Aurelien Jarno.
    Closes: #733280

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 May 2014 09:58:46 +0100
