=== debian/control ===
Source: free42-nologo
Section: science
Priority: optional
Maintainer: Christian Stalp <chris@chrishell.de>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
Standards-Version: 4.5.1
Homepage: https://thomasokken.com/free42/
Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
Rules-Requires-Root: no

Package: free42-nologo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# libasound2 is dlopened, and not required
Recommends: libasound2
Description: Free42 is a re-implementation of the HP-42S calculator
 It is a complete rewrite, not using any HP code, and it does not
 require an HP-42S ROM image. Loading and saving programs is possible.
 FPU is required.
