=== debian/changelog ===
free42-nologo (3.0.10+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Feb 2022 12:37:31 +0100

free42-nologo (3.0.9+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jan 2022 14:16:29 +0100

free42-nologo (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Nov 2021 14:35:46 +0100

free42-nologo (3.0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 17:55:29 +0200

free42-nologo (3.0.5+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 Jul 2021 23:05:16 +0200

free42-nologo (3.0.4+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Jun 2021 19:20:53 +0200

free42-nologo (3.0.3+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 May 2021 15:43:47 +0200
