=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
