=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -Dgtk -- AUDIO_ALSA=1
	dh_auto_build -Dgtk -- clean
	dh_auto_build -Dgtk -- AUDIO_ALSA=1 BCD_MATH=1
	cp gtk/icon-128x128.xpm gtk/free42.xpm

override_dh_auto_clean:
	$(MAKE) -C gtk clean
