## free42-nologo 3.0.14+ds

=== debian/changelog ===
free42-nologo (3.0.14+ds-1) unstable; urgency=medium

  * New upstream release, merging the build flags and cross-compilation
    patches.
  * Update the libbidgcc.patch description.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Aug 2022 09:30:30 +0200

free42-nologo (3.0.13+ds-1) unstable; urgency=medium

  * New upstream release.
  * Mark patches forwarded upstream.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jun 2022 14:24:57 +0200

free42-nologo (3.0.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Rework our patches so that the relevant ones can be submitted
    upstream.
  * Use CXX_FOR_BUILD instead of HOST_CXX.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 May 2022 13:47:11 +0200

free42-nologo (3.0.10+ds-3) unstable; urgency=medium

  * Use the host compiler to build tools needed during the build itself.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Apr 2022 13:47:18 +0200

free42-nologo (3.0.10+ds-2) unstable; urgency=medium

  * Allow pkg-config to be overridden, so that the package can be cross-
    built.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 14:34:21 +0200
