## free42-nologo 3.0.17%2Bds

=== debian/changelog ===
free42-nologo (3.0.17+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Dec 2022 17:54:57 +0100

free42-nologo (3.0.16+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Nov 2022 21:03:26 +0100

free42-nologo (3.0.15+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Oct 2022 11:58:30 +0200
