=== debian/changelog ===
free42-nologo (3.0.20+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 06:34:30 +0200
