## free42-nologo 3.1.4+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2023  Thomas Okken
+# Copyright (C) 2004-2024  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -59,7 +59,7 @@
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
 else ifeq "$(shell uname -m)" "aarch64"
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
-else ifeq "$(shell uname -m | sed 's/^\(...\).*$/\1/')" "arm"
+else ifeq "$(shell uname -m | sed 's/^\(...\).*$$/\1/')" "arm"
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=4
 endif
 
@@ -70,13 +70,14 @@
 	core_helpers.cc core_keydown.cc core_linalg1.cc core_linalg2.cc \
 	core_math1.cc core_math2.cc core_phloat.cc core_sto_rcl.cc \
 	core_tables.cc core_variables.cc
-OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
-	shell_spool.o core_main.o core_commands1.o core_commands2.o \
+CORE_OBJS = shell_spool.o core_main.o core_commands1.o core_commands2.o \
 	core_commands3.o core_commands4.o core_commands5.o \
 	core_commands6.o core_commands7.o core_display.o core_globals.o \
 	core_helpers.o core_keydown.o core_linalg1.o core_linalg2.o \
 	core_math1.o core_math2.o core_phloat.o core_sto_rcl.o \
 	core_tables.o core_variables.o
+OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
+	$(CORE_OBJS)
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
@@ -104,6 +105,12 @@
 
 $(EXE): $(OBJS) gcc111libbid.a
 	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
+
+txt2raw: symlinks txt2raw.o $(CORE_OBJS) gcc111libbid.a
+	$(CXX) -o txt2raw $(LDFLAGS) txt2raw.o $(CORE_OBJS) $(LIBS)
+
+raw2txt: symlinks raw2txt.o $(CORE_OBJS) gcc111libbid.a
+	$(CXX) -o raw2txt $(LDFLAGS) raw2txt.o $(CORE_OBJS) $(LIBS)
 
 $(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks
 
@@ -137,7 +144,8 @@
 	rm -f `find . -type l ! -name readtest.c` \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
-		*.o *.d *.i *.ii *.s symlinks core.*
+		*.o *.d *.i *.ii *.s symlinks core.* \
+		raw2txt txt2raw
 
 cleaner: FORCE
 	rm -f `find . -type l` \
@@ -146,7 +154,8 @@
 		keymap2cc keymap2cc.exe keymap.cc \
 		readtest_lines.cc \
 		gcc111libbid.a \
-		*.o *.d *.i *.ii *.s symlinks core.*
+		*.o *.d *.i *.ii *.s symlinks core.* \
+		raw2txt txt2raw
 	rm -rf IntelRDFPMathLib20U1
 
 FORCE:
