=== debian/changelog ===
free42-nologo (3.1.4+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:19:22 +0000

free42-nologo (3.1.4+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:22:10 +0000

free42-nologo (3.1.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Feb 2024 14:42:59 +0100

free42-nologo (3.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use “make cleaner” to clean all generated files.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Jan 2024 17:45:32 +0100

free42-nologo (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Dec 2023 12:55:22 +0100

free42-nologo (3.0.21+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust the application id to match the .desktop file; this allows the
    desktop environment to find the correct application name and icon.
    Thanks to Sébastien Villemot for the patch. Closes: #1019754.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Aug 2023 15:05:53 +0200
