=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: free42-nologo
 Section: science
 Priority: optional
-Maintainer: Christian Stalp <chris@chrishell.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
