## free42-nologo 3.1.8+ds

=== debian/changelog ===
free42-nologo (3.1.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Recommend libasound2t64 instead of libasound2.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 May 2024 19:47:32 +0200

free42-nologo (3.1.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Apr 2024 21:13:17 +0200

free42-nologo (3.1.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Mar 2024 07:56:19 +0100

free42-nologo (3.1.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Mar 2024 07:58:19 +0100
