## free42-nologo 3.1.12+ds

=== debian/changelog ===
free42-nologo (3.1.12+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Dec 2024 18:51:49 +0100

free42-nologo (3.1.10+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Nov 2024 18:27:48 +0100
