## free42-nologo 3.2.1+ds

=== debian/changelog ===
free42-nologo (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Feb 2025 13:07:14 +0100
