=== debian/changelog ===
free42-nologo (3.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Feb 2025 21:57:36 +0100
