=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	cp gtk/icon-128x128.xpm gtk/free42.xpm
 
 override_dh_auto_clean:
-	$(MAKE) -C gtk clean
+	$(MAKE) -C gtk cleaner
