## free42-nologo 3.2.3+ds

=== debian/changelog ===
free42-nologo (3.2.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 21:26:55 +0100
