## free42-nologo 3.2.6+ds

=== debian/changelog ===
free42-nologo (3.2.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Mar 2025 21:26:57 +0100

free42-nologo (3.2.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2025 17:05:52 +0100
