## free42-nologo 3.2.7+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	 -Wno-format-truncation \
 	 -Wno-class-memaccess \
 	 -Wno-unknown-warning-option \
+	 -Wno-unknown-pragmas \
 	 -g \
 	 $(shell $(PKG_CONFIG) --cflags gtk+-3.0) \
 	 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGTK_DISABLE_SINGLE_INCLUDES -DGSEAL_ENABLE \
