=== debian/changelog ===
free42-nologo (3.2.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 16:12:53 +0100
