## free42-nologo 3.2.8%2Bds

=== debian/changelog ===
free42-nologo (3.2.8+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Apr 2025 23:14:59 +0200
