## free42-nologo 3.2.8+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -21,13 +21,8 @@
 CFLAGS += -MMD \
 	 -Wall \
 	 -Wno-parentheses \
-	 -Wno-write-strings \
 	 -Wno-sign-compare \
-	 -Wno-narrowing \
-	 -Wno-constant-conversion \
-	 -Wno-sometimes-uninitialized \
 	 -Wno-format-truncation \
-	 -Wno-class-memaccess \
 	 -Wno-unknown-warning-option \
 	 -Wno-unknown-pragmas \
 	 -g \
