## free42-nologo 3.3.8+ds

=== debian/changelog ===
free42-nologo (3.3.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove the old FSF address from debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2025 08:53:02 +0200
