## free42-nologo 3.3.10+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -100,8 +100,8 @@
 OBJS += audio_alsa.o
 endif
 
-$(EXE): $(OBJS) gcc111libbid.a
-	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
+$(EXE): $(OBJS) icons.o gcc111libbid.a
+	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) icons.o $(LIBS)
 
 txt2raw: symlinks txt2raw.o $(CORE_OBJS) gcc111libbid.a
 	$(CXX) -o txt2raw $(LDFLAGS) txt2raw.o $(CORE_OBJS) $(LIBS)
@@ -113,6 +113,11 @@
 
 .cc.o:
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<
+
+icons.o: icons.gresource.xml
+	glib-compile-resources --generate-source $<
+	$(CC) $(CFLAGS) -c -o $@ icons.c
+	rm icons.c
 
 readtest.o: readtest.c
 	$(CC) $(CFLAGS) -I IntelRDFPMathLib20U1/TESTS -D__intptr_t_defined -DLINUX -c -o $@ $<
