=== debian/changelog ===
free42-nologo (3.3.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Fri, 31 Oct 2025 09:15:00 +0100
