=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
+Build-Depends: debhelper-compat (= 13), libgio-2.0-dev-bin, libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
 Standards-Version: 4.7.2
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
-Rules-Requires-Root: no
 
 Package: free42-nologo
 Architecture: any
