=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh_auto_build -Dgtk -- AUDIO_ALSA=1
 	dh_auto_build -Dgtk -- clean
 	dh_auto_build -Dgtk -- AUDIO_ALSA=1 BCD_MATH=1
-	cp gtk/icon-128x128.xpm gtk/free42.xpm
+	cp gtk/icon-128x128.png gtk/free42.png
 
 override_dh_auto_clean:
 	$(MAKE) -C gtk cleaner
