=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds" \
https://thomasokken.com/free42/upstream/free42-nologo-(\d+\.\d+\.\d+)\.tgz \
debian uupdate
