=== debian/changelog ===
free42-nologo (3.3.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jan 2026 09:54:02 +0100
