=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: free42-nologo
 Section: science
-Priority: optional
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgio-2.0-dev-bin, libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
