=== debian/watch ===
Version: 5

Source: https://thomasokken.com/free42/upstream/
Matching-Pattern: free42-nologo-(\d+\.\d+\.\d+)\.tgz
Dversionmangle: auto
Repacksuffix: +ds
